Bug 154773 - [new port] multimedia/qmmp
Summary: [new port] multimedia/qmmp
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-14 11:40 UTC by RyōTa SimaMoto
Modified: 2011-03-18 09:30 UTC (History)
0 users

See Also:


Attachments
file.shar (12.70 KB, text/plain)
2011-02-14 11:40 UTC, RyōTa SimaMoto
no flags Details
qmmp.shar (13.85 KB, application/x-shar)
2011-02-16 11:16 UTC, RyōTa SimaMoto
no flags Details
qmmp.shar (12.24 KB, application/x-shar)
2011-03-12 07:15 UTC, RyōTa SimaMoto
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description RyōTa SimaMoto 2011-02-14 11:40:06 UTC
This is a port of QMMP (A Qt4-based MultiMedia Player) [^1].
QMMP has a WinAmp/XMMS-like window and several plug-ins consist of
many audio decoders/effects, streaming interfaces, visual effects, and more.

Structure of this port is almost similar to my suggestion at KDE-FreeBSD ML [^2].
Note that the application's source supports both of cmake and qmake, and
I use qmake on this port.

The current released version is 0.4.4.

[1] http://code.google.com/p/qmmp/
[2] http://mail.kde.org/pipermail/kde-freebsd/2010-November/009726.html

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2011-02-14 13:49:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2011-02-15 03:40:14 UTC
State Changed
From-To: open->feedback

hi please install ports-mgmt/portlint and run portlint -AC, also 
patch-ac patch-aa should be renamed to the real filename, there missing 
a lot of qt4 dependency, please fix and resent a patch as attachment to 
me thanks.
Comment 3 RyōTa SimaMoto 2011-02-16 11:16:38 UTC
Hello, and thank you for your immediate advice.

Then I did these changes:

   * Rename patch files so that it is easy for specifying its target.
   * Change `linguist' to `linguist_build' on Qt components list, because
     this port depends on it only at the stage of building.
   * Add `xml' and `qdbus' to Qt components list, that are really
     necessary libraries.
   * Run strip command on the pre-install stage.

The portlint checker still warns me that it expects LIB_DEPENDS and
RUN_DEPENDS to appear more earlier, but I don't know how to
correct that.  No other alert is given.

(2011-02-16)
In addition, pkg-plist is fixed and there is an extra patch appending several
lines on two QMake *.pro files so that certain header files are installed same
as CMake does.
(My bug report about this issue:
http://code.google.com/p/qmmp/issues/detail?id=427 )

-=-=-=-=-=
SimaMoto,RyÅTa <liangtai.s4@gmail.com>
Comment 4 Martin Wilke freebsd_committer 2011-02-19 14:53:56 UTC
State Changed
From-To: feedback->open

got patch
Comment 5 Martin Wilke freebsd_committer 2011-02-19 14:54:34 UTC
State Changed
From-To: open->feedback

ok seems there need more dependencys 
http://64bit.miwibox.org/index.php?action=describe_port&id=2845 
http://32bit.miwibox.org/index.php?action=describe_port&id=2678
Comment 6 Ry&#333;Ta SimaMoto 2011-02-19 16:45:49 UTC
Hello,

I'm sorry I bother you on my mistakes again.

The building log from your tinderbox encourages me to
find an important bug on Makefile.  On an option,
LIB_DEPENDS valuables are overwitten with a port name
rather than appending a more port, and former included
ports are lost on the dependency list.

@@ -133,7 +133,7 @@
 .if !defined(WITHOUT_ENCA)
 PLIST_SUB+=3D    ENCA=3D""
-LIB_DEPENDS=3D   enca.5:${PORTSDIR}/converters/enca
+LIB_DEPENDS+=3D  enca.5:${PORTSDIR}/converters/enca
 PLUGIN_OPTIONS+=3D       WITH_ENCA
 .else
 PLIST_SUB+=3D    ENCA=3D"@comment "

I hope this report becomes the last fix to the commitment
if I can.


2011/2/19  <miwi@freebsd.org>:
> Synopsis: [new port] multimedia/qmmp
>
> State-Changed-From-To: open->feedback
> State-Changed-By: miwi
> State-Changed-When: Sat Feb 19 14:54:34 UTC 2011
> State-Changed-Why:
> ok seems there need more dependencys
> http://64bit.miwibox.org/index.php?action=3Ddescribe_port&id=3D2845
> http://32bit.miwibox.org/index.php?action=3Ddescribe_port&id=3D2678
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=3D154773
>



--=20
-=3D-=3D-=3D-=3D-=3D
SimaMoto,Ry=C5=8DTa <liangtai.s4@gmail.com>
Comment 7 Ry&#333;Ta SimaMoto 2011-03-12 07:15:44 UTC
qmmp is updated to 0.4.5 today.

-=-=-=-=-=
SimaMoto,RyÅTa <liangtai.s4@gmail.com>
Comment 8 Martin Wilke freebsd_committer 2011-03-18 09:24:01 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. Thanks!
Comment 9 dfilter service freebsd_committer 2011-03-18 09:24:19 UTC
miwi        2011-03-18 09:24:10 UTC

  FreeBSD ports repository

  Modified files:
    multimedia           Makefile 
  Added files:
    multimedia/qmmp      Makefile distinfo pkg-descr pkg-plist 
    multimedia/qmmp/files patch-plugins.pri 
                          patch-plugins_Effect_ladspa.pro qmmp.in 
  Log:
  This program is an audio-player, written with help of Qt library.
  Its user interface is similar to winamp or xmms.
  
  features:
          Last.fm scrobbler, D-Bus, Spectrum Analyzer, sample rate conversion,
          streaming (MP3, Vorbis via IceCast/ShoutCast), projectm visualization,
          device detection, MPRIS, global hotkey, video playback using Mplayer,
          Bauer Stereophonic-to-Binaural DSP, projectM audio visulaliser,
          lyrics (from LyricWiki.orig), and all skins for winamp and/or xmms
  input plugins:
          MPEG1 layer 1/2/3, Ogg Vorbis, native FLAC, Musepack, WavePack,
          ModPlug, WMA (and other formats provided by FFmpeg library), PCM WAVE,
          AAC, CD audio and CUE (including flac, WavPack embeded cue)
  output plugins:
          PulseAudio, OSS and Jack
  
  WWW: http://qmmp.ylsoftware.com/
  or http://code.google.com/p/qmmp/
  
  PR:             ports/154773
  Submitted by:   SimaMoto,RyoTa <liangtai.s4 at gmail.com>
  
  Revision  Changes    Path
  1.413     +1 -0      ports/multimedia/Makefile
  1.1       +199 -0    ports/multimedia/qmmp/Makefile (new)
  1.1       +2 -0      ports/multimedia/qmmp/distinfo (new)
  1.1       +7 -0      ports/multimedia/qmmp/files/patch-plugins.pri (new)
  1.1       +12 -0     ports/multimedia/qmmp/files/patch-plugins_Effect_ladspa.pro (new)
  1.1       +19 -0     ports/multimedia/qmmp/files/qmmp.in (new)
  1.1       +18 -0     ports/multimedia/qmmp/pkg-descr (new)
  1.1       +115 -0    ports/multimedia/qmmp/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"